rte_table_action_mtr_counters_tc(3)

NAME
rte_table_action_mtr_counters_tc

SYNOPSIS

#include <rte_table_action.h>

  Data Fields

uint64_t n_packets [RTE_COLORS]
uint64_t n_bytes [RTE_COLORS]
int n_packets_valid
int n_bytes_valid

Detailed Description

Meter action statistics counters per traffic class.

Definition at line 266 of file rte_table_action.h.

Field Documentation

  uint64_t n_packets[RTE_COLORS]
Number of packets per color at the output of the traffic metering and before the policer actions are executed. Only valid when n_packets_valid is non-zero.

Definition at line 271 of file rte_table_action.h.

  uint64_t n_bytes[RTE_COLORS]
Number of packet bytes per color at the output of the traffic metering and before the policer actions are executed. Only valid when n_bytes_valid is non-zero.

Definition at line 277 of file rte_table_action.h.

  int n_packets_valid
When non-zero, the n_packets field is valid.

Definition at line 280 of file rte_table_action.h.

  int n_bytes_valid
When non-zero, the n_bytes field is valid.

Definition at line 283 of file rte_table_action.h.

Author

Generated automatically by Doxygen for DPDK from the source code.